KAS_UNLOCK(8)

NAME
kas_unlock - Unlocks a locked user account

SYNOPSIS
kas unlock -name <authentication ID>
    [-admin_username <admin principal to use for authentication>]
    [-password_for_admin <admin password>] [-cell <cell name>]
    [-servers <explicit list of authentication servers>+]
    [-noauth] [-help]

kas u -na <authentication ID>
    [-a <admin principal to use for authentication>]
    [-p <admin password>] [-c <cell name>]
    [-s <explicit list of authentication servers>+] [-no] [-h]

DESCRIPTION
The kas unlock command unlocks the Authentication Database entry named by the -name argument. An entry becomes locked when the user exceeds the limit on failed authentication attempts, generally by providing the wrong password to either an AFS-modified login utility or the klog command. Use the kas setfields command to set the limit and the lockout time, and the kas examine command to examine the settings.

To unlock all locked user accounts at once, shutdown the kaserver process on every database server machine, and remove the /usr/afs/local/kaauxdb file from each one. The kaserver process recreates the file as it restarts.

OPTIONS

-name <authentication ID>
    Names the Authentication Database entry to unlock.

-admin_username <admin principal>
    Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see kas(8).

-password_for_admin <admin password>
    Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see kas(8).

-cell <cell name>
    Names the cell in which to run the command. For more details, see kas(8).

-servers <authentication servers>+
    Names each machine running an Authentication Server with which to establish a connection. For more details, see kas(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. For more details, see kas(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
In the following example, an administrator using the "admin" account unlocks the entry for "jones":

   % kas unlock -name jones -admin_username admin
   Administrator's (admin) Password:

PRIVILEGE REQUIRED
The issuer must have the "ADMIN" flag set on his or her Authentication Database entry.

SEE ALSO
kas(8), kas_examine(8), kas_setfields(8), klog(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.